Commit b6a7be6f authored by k8s-merge-robot's avatar k8s-merge-robot

Merge pull request #26533 from gmarek/retries

Automatic merge from submit-queue Add retries for make in start-kubemark Fix. #25872
parents 91416324 51097764
...@@ -57,7 +57,19 @@ fi ...@@ -57,7 +57,19 @@ fi
CURR_DIR=`pwd` CURR_DIR=`pwd`
cd "${MAKE_DIR}" cd "${MAKE_DIR}"
make RETRIES=3
for attempt in $(seq 1 ${RETRIES}); do
if ! make; then
if [[ $((attempt)) -eq "${RETRIES}" ]]; then
echo "${color_red}Make failed. Exiting.${color_norm}"
exit 1
fi
echo -e "${color_yellow}Make attempt $(($attempt)) failed. Retrying.${color_norm}" >& 2
sleep $(($attempt * 5))
else
break
fi
done
rm kubemark rm kubemark
cd $CURR_DIR cd $CURR_DIR
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment